/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            filewidget.h
 *
 *  Mon Aug 23 14:51:38 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_FILEWIDGET_H__
#define __PC_SHOW_FILEWIDGET_H__

#include <QDockWidget>
#include <QFileSystemWatcher>
#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QStringList>

class FileWidget : public QDockWidget {
Q_OBJECT
public:
  FileWidget();

  QStringList selection();
  void setWatchFile(QString file);

signals:
  void changePath(QString path);
  void changeName(QString name);
  void addItemStr(const QString &file);
  void dblClicked(const QString &file);

public slots:
  void fileChanged(const QString &path);
  void pathChanged(const QString &imgpath);
  void addItem(const QString &file);
  void dblClick(QTreeWidgetItem *, int);

private:
  bool parseFile(const QString &file);

  QFileSystemWatcher watcher;
  QFileSystemWatcher dirwatcher;
  QTreeWidget *list;

  QString path;
  QString name;
};

#endif/*__PC_SHOW_FILEWIDGET_H__*/
