/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            mainwindow.h
 *
 *  Mon Aug 23 13:59:16 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_MAINWINDOW_H__
#define __PC_SHOW_MAINWINDOW_H__

#include <QMainWindow>
#include <QLabel>

#include "filewidget.h"
#include "viewerwidget.h"

class MainWindow : public QMainWindow {
Q_OBJECT
public:
  MainWindow(QString path);

public slots:
  void showSelected();
  void printSelected();
  void showFullscreen();
  void showOptions();
  void showHelp();
  void showOnlineHelp();
  void showWebsite();
  void showAbout();

  void deleteSelected();
  void copySelected();
  void moveSelected();
  void saveSelectedAs();
  void renameSelected();

  void changeName(QString);
  void changePath(QString);

protected:
  void closeEvent(QCloseEvent *event);

private:
  FileWidget *filewidget;
  ViewerWidget *viewer;

  QLabel *namewidget;
  QLabel *pathwidget;
};

#endif/*__PC_SHOW_MAINWINDOW_H__*/
