/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            optionswindow.cc
 *
 *  Wed Aug 25 14:13:24 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "optionswindow.h"

#include <QSettings>
#include <QPushButton>
#include <QLabel>
#include <QGridLayout>
#include <QHBoxLayout>

OptionsWindow::OptionsWindow()
{
  setModal(true);

  QGridLayout *l = new QGridLayout();
  setLayout(l);

  QLabel *lbl;

  lbl = new QLabel(tr("Default path:"));
  storepath = new QLineEdit();
  l->addWidget(lbl, 0,0);
  l->addWidget(storepath, 0,1);

  lbl = new QLabel(tr("Watch file:"));
  watchfile = new QLineEdit();
  l->addWidget(lbl, 1,0);
  l->addWidget(watchfile, 1,1);

  lbl = new QLabel(tr("Matrix Columns:"));
  mtxcols = new QLineEdit();
  l->addWidget(lbl, 2,0);
  l->addWidget(mtxcols, 2,1);

  lbl = new QLabel(tr("Matrix Rows:"));
  mtxrows = new QLineEdit();
  l->addWidget(lbl, 3,0);
  l->addWidget(mtxrows, 3,1);


  QHBoxLayout *h = new QHBoxLayout();
  l->addLayout(h, 4,0,1,2);
  h->addStretch();

  QPushButton *ok = new QPushButton(tr("Ok"));
  connect(ok, SIGNAL(clicked()), this, SLOT(store()));
  h->addWidget(ok);

  QPushButton *cancel = new QPushButton(tr("Cancel"));
  connect(cancel, SIGNAL(clicked()), this, SLOT(close()));
  h->addWidget(cancel);

  QSettings settings("Aasimon.org", "PC-Show");
  settings.beginGroup("Options");
  storepath->setText(settings.value("storepath", tr("c:\\drafts")).toString());
  watchfile->setText(settings.value("watchfile",
                                    "c:\\x\\pcshow.tmp").toString());
  mtxcols->setText(settings.value("mtxcols", "3").toString());
  mtxrows->setText(settings.value("mtxcols", "3").toString());
  settings.endGroup();
}

void OptionsWindow::store()
{
  QSettings settings("Aasimon.org", "PC-Show");
  settings.beginGroup("Options");
  settings.setValue("storepath", storepath->text());
  settings.setValue("watchfile", watchfile->text());
  settings.setValue("mtxcols", mtxcols->text());
  settings.setValue("mtxrows", mtxrows->text());
  settings.endGroup();
  accept();
}
