/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            print.cc
 *
 *  Wed Aug 25 20:59:52 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "print.h"

#include <QObject>

#include <QPrinter>
#include <QPrintDialog>
#include <QPainter>
#include <QTransform>
#include <QFileInfo>

void printSelection(QStringList &sel)
{
  QPrinter printer(QPrinter::HighResolution);

  QPrintDialog *dialog = new QPrintDialog(&printer, NULL);
  dialog->setWindowTitle(QObject::tr("Print Document"));
  if(dialog->exec() != QDialog::Accepted) return;

  QRect r = printer.pageRect();

  int w = r.width() / 2.0;
  int h = r.height() / 2.0;

  int border = w * 0.025;

  QPainter painter;
  painter.begin(&printer);

  int num = 0;

  int len = sel.length();
  QStringList::iterator i = sel.begin();
  while(i != sel.end()) {

    if(num > 3) {
      printer.newPage();
      num = 0;
    }

    QImage image(*i);

    QTransform rot;
    rot.rotate(90);
    image = image.transformed(rot);
    image = image.scaled(w * 0.95, h * 0.95,
                         Qt::KeepAspectRatio, Qt::SmoothTransformation);
      
    int pos;
    switch(num) {
    case 0:
      pos = 1;
      break;
    case 1:
      pos = 3;
      break;
    case 2:
      pos = 0;
      break;
    case 3:
    default:
      pos = 2;
      break;
    }
    painter.drawImage(w * (pos % 2) + border,
                      h * (pos / 2) + border * 2,
                      image);
      
    QFileInfo file(*i);
    painter.drawText(QRect(w * (pos % 2),
                           h * (pos / 2),
                           w, border * 2),
                     Qt::AlignCenter,
                     file.fileName());

    len--;
    num++;
    i++;
  }

  painter.end();
}
